Package org.eclipse.cdt.core.dom.ast

# Interface IASTMacroExpansion

All Superinterfaces:
  `IASTNodeLocation`

@Deprecated public interface IASTMacroExpansion extends IASTNodeLocation
Deprecated.
Use IASTMacroExpansionLocation instead

Restriction:
  This interface is not intended to be referenced by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNodeLocation

`EMPTY_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTNodeLocation[]`
`getExpansionLocations()`
Deprecated.
use `IASTNodeLocation.asFileLocation()`.
`IASTPreprocessorMacroDefinition`
`getMacroDefinition()`
Deprecated.
The macro definition used for the expansion
`IASTName`
`getMacroReference()`
Deprecated.
The macro reference for the explicit macro expansion containing this expansion.
`int`
`getNodeLength()`
Deprecated.
Returns the length of this location.
`int`
`getNodeOffset()`
Deprecated.
Returns an offset within the macro-expansion.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNodeLocation

`asFileLocation`

## Method Details

### getMacroDefinition

IASTPreprocessorMacroDefinition getMacroDefinition()
Deprecated.
The macro definition used for the expansion

### getMacroReference

IASTName getMacroReference()
Deprecated.
The macro reference for the explicit macro expansion containing this expansion.

Since:
  5.0

### getNodeOffset

int getNodeOffset()
Deprecated.
Returns an offset within the macro-expansion. The offset can be used to compare nodes within the same macro-expansion. However, it does not serve as an offset into a file.

Specified by:
  `getNodeOffset` in interface `IASTNodeLocation`

### getNodeLength

int getNodeLength()
Deprecated.
Returns the length of this location. The length can be used to compare this location with others from within the same macro-expansion. However, the length does not neccessarily relate to a length in terms of characters.

Specified by:
  `getNodeLength` in interface `IASTNodeLocation`

### getExpansionLocations

@Deprecated IASTNodeLocation[] getExpansionLocations()
Deprecated.
use `IASTNodeLocation.asFileLocation()`.
The source locations for for the macro expansion. These are the locations where the expansion in question occurred and was replaced.